from django.http import HttpResponse
from django.shortcuts import render
from django.shortcuts import render_to_response
from django.template import RequestContext

from wsgi.certification.certification import Certification
from wsgi.certification.results import CertificationResults
from wsgi.certification.testing import Testing
from wsgi.hoststatus import HostStatus
from wsgi.hostresults import HostResults
from wsgi.hosttesting import HostTesting
from wsgi.hostInteractive import HostInteractive
from wsgi.save import Save
from wsgi.test import Test
from wsgi.resultsxml import ResultsXML
from wsgi.certification.activityResults import Results

from wsgi.certification.progress import Progress
from wsgi.certification.submitted import Submitted
from wsgi.certification.supportcases import SupportCases
from wsgi.certification.kbases import KBases
from wsgi.certification.multiHostResults import MultiHostResults
from wsgi.certification.productlogo import ProductLogoURL
from wsgi.certification.attachments import Attachments
from wsgi.certification.comments import Comments
from wsgi.run import Run
from wsgi.hostlog import HostLog
from wsgi.submit import Submit
from wsgi.download import Download
from wsgi.mailto import MailTo
from wsgi.status import Status
from wsgi.interactive import Interactive
from wsgi.clean import Clean
from wsgi.delete import Delete
from wsgi.update.product import UpdateProduct
from wsgi.update.testResults import UpdateTestResults
from wsgi.update.certification import UpdateCertification
from wsgi.certification.assign import Assign
from wsgi.certification.assignMultiHost import AssignMultiHost
from wsgi.certification.dialog import Dialog
from wsgi.certification.details import Details
from wsgi.certification.related import Related
from wsgi.certification.specification.related import RelatedSpecification
from wsgi.certification.specification.dialog import SpecificationDialog
from wsgi.certification.hardware_publish import HardwarePublish
from wsgi.certification.cloudDetails import CloudDetails
from wsgi.certification.specification.specification import Specification
from wsgi.certification.specification.cloud import Cloud as CloudSpecification
from wsgi.certification.specification.hardware import Hardware as HardwareSpecification
from wsgi.certification.specification.openstack import OpenStack as OpenStackSpecification
from wsgi.certification.specification.details.hardware import Hardware as HardwareSpecificationDetails
from wsgi.certification.specification.details.cloud import Cloud as CloudSpecificationDetails 
from wsgi.certification.specification.details.openstack import OpenStack as OpenStackSpecificationDetails
from wsgi.create.product import Product as CreateProduct
from wsgi.create.certification import Certification as CreateCertification
from wsgi.create.sandbox import Sandbox as CreateSandbox
from wsgi.create.layered import CreateLayeredCert
from wsgi.create.supplemental import CreateSupplementalCert
from wsgi.create.passthrough import CreatePassThroughCert
from wsgi.sandbox.sandbox import Sandbox
from wsgi.sandbox.results import Results as SandboxResults
from wsgi.sandbox.activityResults import ActivityResults as SandboxActivityResults
from wsgi.sandbox.activityTesting import ActivityTesting as SandboxActivityTesting
from wsgi.blank import Blank
from wsgi.attachments.download import DownloadAttachment
from wsgi.attachments.upload import UploadAttachment
from rhcert.rhcertStore import RedHatCertificationStore
from wsgi.logo.upload import UploadLogo
from wsgi.certification.leverage import LeverageDialog
from wsgi.certification.upload import UploadResults
from wsgi.certification.download import DownloadResults
from wsgi.makes import Makes
from wsgi.hostremove import HostRemove



def certification(request, program, certID):
    return Certification().serve(request, 'certification.html', program, certID)


def certification_progress(request, program, certID):
    return Progress().serve(request, 'certification/progress.html', program, certID)


def certification_submitted(request, program, certID):
    return Submitted().serve(request, 'certification/submitted.html', program, certID)


def certification_supportcases(request, program, certID):
    return SupportCases().serve(request, 'certification/supportcases.html', program, certID)


def certification_kbases(request, program, certID):
    return KBases().serve(request, 'certification/kbases.html', program, certID)

def certification_multihost_results(request, program, certID):
    return MultiHostResults().serve(request, 'certification/multihost-results.html', program, certID)


def certification_productLogoURL(request, program, certID, productID):
    return ProductLogoURL().serve(request, 'certification/productlogourl.html', program, certID, productID)


def certification_comments(request, program, certID):
    return Comments().serve(request, 'certification/comments.html', program, certID)


def certification_attachments(request, program, certID):
    return Attachments().serve(request, 'certification/attachments.html', program, certID)


def certification_dialog(request, program, certID):
    return Dialog().serve(request, 'certification/dialog.html', program, certID)


def certification_details(request, program, certID):
    return Details().serve(request, "certification/details/details.html", program, certID)


def certification_related(request, program, certID):
    return Related().serve(request, "certification/related.html", program, certID)


def certification_hardware_publish(request, certID):
    return HardwarePublish().serve(request, 'certification/hardware_publish.html', certID)


def certification_cloud_details(request, certID):
    return CloudDetails().serve(request, "certification/details/cloud.html", certID)


def certification_specification(request, program, certID):
    return Specification().serve(request, "certification/specification/specification.html", program, certID)


def certification_openstack_specification(request, certID):
    return OpenStackSpecification().serve(request, "certification/specification/openstack.html", "", certID)


def certification_hardware_specification(request, certID):
    return HardwareSpecification().serve(request, "certification/specification/hardware.html", "", certID)


# specification details by program
def certification_hardware_specification_details(request, certID):
    return HardwareSpecificationDetails().serve(request, "certification/specification/details/hardware.html", certID)


def certification_cloud_specification_details(request, certID):
    return CloudSpecificationDetails().serve(request, "certification/specification/details/cloud.html", certID)


def certification_openstack_specification_details(request, certID, details):
    return OpenStackSpecificationDetails().serve(request, "certification/specification/details/openstack.html", certID, details)


def certification_hardware_specification_sample(request, certID):
    return HardwareSpecification().serve(request, "certification/specification/sample.html", "sample", certID)


def certification_hardware_specification_related(request, certID):
    return RelatedSpecification().serve(request, "certification/specification/related.html", "related", certID)


def certification_hardware_specification_dialog(request, certID):
    return SpecificationDialog().serve(request, "certification/specification/dialog.html", "dialog", certID)


def certification_results(request, program, certID):
    return CertificationResults().serve(request, 'certification/results.html', program, certID)


def certification_testing(request, program, certID):
    return CertificationResults().serve(request, 'certification/testing.html', program, certID)


def sandbox(request, program, sandboxID):
    return Sandbox().serve(request, 'sandbox/sandbox.html', program, sandboxID)


def sandbox_results(request, program, sandboxID):
    return SandboxResults().serve(request, 'sandbox/results.html', program, sandboxID)


def sandbox_activity_results(request, program, sandboxID, host, time):
    return SandboxActivityResults().serve(request, 'sandbox/activity-results.html', program, sandboxID, host, time)


def sandbox_activity_testing(request, program, sandboxID, host, time):
    return SandboxActivityTesting().serve(request, 'sandbox/activity-testing.html', program, sandboxID, host, time)


# host status/operations
def hoststatus(request, host, connection):
    return render(request, 'hoststatus.html', HostStatus().view(request, host, connection))


def hostinteractive(request, host, connection, program, certID):
    return render(request, 'host-interactive.html', HostInteractive().view(request, host, connection, program, certID))


def hostresults(request, type, id, host, connection, activityURL):
    return render(request, 'hostresults.html', HostResults().view(request, type, id, host, connection, activityURL))


def hosttesting(request, type, id, host, connection):
    return render(request, 'hosttesting.html', HostTesting().view(request, type, id, host, connection))


def hostlog(request, host, connection):
    return render(request, "hostlog.html", HostLog().view(request, host, connection))


def hostremove(request, host, connection, program, certID):
    return HostRemove().view(request, host, connection, program, certID)


# actions
def save(request):
    return Save().serve(request, "save.html")


def test(request, type, id, host):
    return Test().serve(request, "test.html", type, id, host)


def run(request):
    return Run().serve(request, 'run.html')


def clean(request):
    return Clean().serve(request, "clean.html")


def delete(request):
    return Delete().serve(request, 'delete.html')


def update(request):
    return UpdateTestResults().serve(request, 'update.html')


def update_product(request):
    return UpdateProduct().serve(request, None)


def update_certification(request):
    return UpdateCertification().serve(request, None)


def hosts(request, type, id):
    return Test().serve(request, "test.html", type, id)

def resultsXML(request):
    # example of calling the old implementation
    rhcertStore = RedHatCertificationStore()
    resultsPage = ResultsXML(request.environ, rhcertStore)
    (responseStatus, responseHeaders, body) = resultsPage.serve()
    (_, content) = responseHeaders[0]
    return HttpResponse(body, content_type=content)


def activity_results(request, program, certID, host, time):
    return Results().serve(request, 'certification/activity-results.html', program, certID, host, time)


def activity_testing(request, program, certID, host, time):
    return Testing().serve(request, 'certification/activity-testing.html', program, certID, host, time)


def activity_assign_multihost(request, program, certID, time):
    return AssignMultiHost().serve(request, 'certification/activity-assign-multihost.html', program, certID, time)

def activity_assign(request, program, certID, host, time):
    return Assign().serve(request, 'certification/activity-assign.html', program, certID, host, time)


def submit(request):
    return Submit().serve(request, "submit.html", type, id)


def download(request):
    return Download().serve(request, 'download.html')


def mailto(request):
    return render(request, "mailto.html", MailTo().view(request))


def status(request):
    return Status().serve(request, "status.html")


def interactive(request):
    return Interactive().serve(request, "interactive.html")


def addTest(request):
    return HttpResponse("NOT IMPLEMENTED", content_type="text/html")

def create_product(request):
    return CreateProduct().serve(request)


def create_certification(request, vendorID=None, productID=None):
    return CreateCertification().serve(request, vendorID, productID)


def create_sandbox(request, vendorID=None, productID=None):
    return CreateSandbox().serve(request, vendorID, productID)


def create_layered_cert(request):
    return CreateLayeredCert().serve(request)


def create_supplemental_cert(request):
    return CreateSupplementalCert().serve(request)


def create_pass_through_cert(request):
    return CreatePassThroughCert().serve(request)


def blank(request):
    return Blank().serve(request, "blank.html")


def download_attachment(request, certificationID, fileID):
    return DownloadAttachment().serve(request, None, certificationID, fileID)


def download_results(request, program, certificationID, fileID):
    return DownloadResults().serve(request, program, certificationID, fileID)


def upload_attachment(request, certificationID):
    return UploadAttachment().serve(request, None, certificationID)


def upload_logo(request, program, certificationID):
    return UploadLogo().serve(request, None, program, certificationID)


def upload_results(request, program, certificationID):
    return UploadResults().serve(request, program, certificationID)


def leverage_save(request, certID, compID, testID):
    return LeverageDialog().serve(request, LeverageDialog.save, certID, compID, testID)


def leverage_get(request):
    return LeverageDialog().serve(request, LeverageDialog.get)


def leverage_apply(request, certID, compID):
    return LeverageDialog().serve(request, LeverageDialog.apply, certID, compID)


def leverage_submit(request, certID, compID, leverageType, leverageID):
    return LeverageDialog().serve(request, LeverageDialog.submit, certID, compID, None, leverageType, leverageID)


def get_makes_by_vendor(request, vendor_id):
    return Makes().serve(request, vendor_id)

def error_404(request):
    response = render_to_response('error.html', {},
                                  context_instance=RequestContext(request))
    response.status_code = 404
    return response
