# Copyright (c) 2019 Red Hat, Inc. All rights reserved. This copyrighted material
# is made available to anyone wishing to use, modify, copy, or
# redistribute it subject to the terms and conditions of the GNU General
# Public License v.2.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# Author: Greg Nichols
#
from rhcert.tags import ServerConfiguration
from wsgi.api.api import API


class CWEStatus(API):
    def __init__(self):
        API.__init__(self)
        self.loginRequired = False

    def supportedMethods(self): return [API.GET]

    def get(self):
        self.getConnection()
        if self.environment.getServerConfiguration() == ServerConfiguration.testing:
            self.data["cweStatus"] = "disconnected configuration"
        elif self.getWorkflow().isReachable():
            self.getWorkflow().tryRefeshJWT()
            if self.getWorkflow().isLoggedIn():
                self.data["cweStatus"] = "connected"
            else:
                self.data["cweStatus"] = "not logged in"
        else:
            if self.getWorkflow().getErrors():
                return self.errorResponse(self.getWorkflow().getErrors())
            self.data["cweStatus"] =  "unreachable"
        self.data["djangoSessionId"] = self.request.session.session_key
        return self.data

