# Copyright (c) 2019 Red Hat, Inc. All rights reserved. This copyrighted material
# is made available to anyone wishing to use, modify, copy, or
# redistribute it subject to the terms and conditions of the GNU General
# Public License v.2.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# Author: Greg Nichols
#
from django.http import HttpResponse
from django.core import serializers


from rhcert.tags import Constants
from wsgi.api.api import API
from wsgi.alert import Alert
from django.contrib import messages


class Messages(API):
    """ presents the messages api json """

    def __init__(self):
        API.__init__(self)
        self.loginRequired = False

    def supportedMethods(self): return [API.GET]

    def get(self):
        self.data["messages"] = []
        storage = messages.get_messages(self.request)
        for eachMessage in storage:
            msg = {
                "level": eachMessage.level_tag,
                "message": str(eachMessage),
                "extraTags": eachMessage.extra_tags
            }
            self.data["messages"].append(msg)
        return self.data

