# Copyright (c) 2019 Red Hat, Inc. All rights reserved. This copyrighted material
# is made available to anyone wishing to use, modify, copy, or
# redistribute it subject to the terms and conditions of the GNU General
# Public License v.2.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# Author: Greg Nichols <gnichols@redhat.com>
#
from rhcert.services.productnameservice import ProductNameService as ProductNameServiceDirect
from wsgi.api.api import API



class ProductNameService(API):
    def __init__(self):
        API.__init__(self)
        self.loginRequired = False

    def supportedMethods(self): return [API.GET]

    def get(self):
        productNameService = ProductNameServiceDirect()
        productNamePrograms = productNameService.getAll()
        self.data["programs"] = self.supported(productNameService.get_filtered_data(productNamePrograms))

        return self.data

    def supported(self, programs):
        for program in programs:
            for product in program["products"]:
                for version in list(product["versions"]):
                    if not (version["isSupport"] and version["isPublic"]):
                        product["versions"].remove(version)
                # sort versions by name
                product["versions"] = sorted(product["versions"], key = lambda i: i['name'])
        return programs

