# Copyright (c) 2019 Red Hat, Inc. All rights reserved. This copyrighted material
# is made available to anyone wishing to use, modify, copy, or
# redistribute it subject to the terms and conditions of the GNU General
# Public License v.2.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# Author: Greg Nichols
#

from django.conf.urls import url

from wsgi.api.certifications import Certifications
from wsgi.api.sandboxes import Sandboxes
from wsgi.api.products import Products
from wsgi.api.product import Product
from wsgi.api.results import Results
from wsgi.api.login import Login
from wsgi.api.status import Status
from wsgi.api.cweSync import CWESync
from wsgi.api.cweStatus import CWEStatus
from wsgi.api.cweSupportedVersion import CWESupportedVersion
from wsgi.api.xmlrpc import XmlRpc
from wsgi.api.productNameService import ProductNameService
from wsgi.api.messages import Messages
from wsgi.api.releaseNotes import ReleaseNotesAPI

urlpatterns = [
    url(r'^certifications/?$', Certifications().serve, name='api_certifications'),
    url(r'^sandboxes/?$', Sandboxes().serve, name='api_sandboxes'),
    url(r'^sandboxes/(?P<program>[^\/]+)/(?P<sandboxID>[^\/]+)/?$', Sandboxes().serve, name='api_sandboxes'),
    url(r'^products/?$', Products().serve, name='api_products'),
    url(r'^product/(?P<productID>[^\/]+)', Product().serve, name='api_product'),
    url(r'^results/?$', Results().serve, name='api_results'),
    url(r'^rhcert-status/?$', Status().serve, name='api_rhcert_status'),
    url(r'^login/?$', Login().serve, name='api_login'),
    url(r'^cwe-sync/?$', CWESync().serve, name='api_cwe_sync'),
    url(r'^cwe-status/?$', CWEStatus().serve, name='api_cwe_status'),
    url(r'^cwe-supported-version/?$', CWESupportedVersion().serve, name='api_cwe_supported_version'),
    url(r'^xmlrpc/$', XmlRpc().serve, name='cwe_xmlrpc'),
    url(r'^rh-products/$', ProductNameService().serve, name='rh-products'),
    url(r'^get-messages/$', Messages().serve, name='messages'),
    url(r'^notes/?$', ReleaseNotesAPI().serve, name='api_release_notes'),
    url(r'^rh-programs/?$', ProductNameService().serve, name='api_rh_programs')
]
