# Copyright (c) 2014 Red Hat, Inc. All rights reserved. This copyrighted material
# is made available to anyone wishing to use, modify, copy, or
# redistribute it subject to the terms and conditions of the GNU General
# Public License v.2.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# Author: Greg Nichols <gnichols@redhat.com>
#
# Implementation of the wsgi for deleting test results/certification documents
from django.shortcuts import render

from .view import View
from rhcert.services.rhospfeatures import RHOSPFeatures


class Blank(View):
    def __init__(self):
        View.__init__(self)
        self.rhospFeatures = RHOSPFeatures()

    def serve(self, request, template):
        View.authenticate(self, request)
        result = self.view(request)
        if type(result) != dict:
            return result
        # otherwise
        return render(request, template, result)

    def view(self, request):
        View.view(self, request)

        self.data["ospVersions"] = [
            {"id": 52, "name": "RHOSP 10", "component": self.rhospFeatures.getComponent("certification-blockstorage-plugin", 52) }
        ]

        return self.data

