# Copyright (c) 2017 Red Hat, Inc. All rights reserved. This copyrighted material
# is made available to anyone wishing to use, modify, copy, or
# redistribute it subject to the terms and conditions of the GNU General
# Public License v.2.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# Author: Greg Nichols
#
import json

from rhcert.tags import Programs
from .details import Details


class CloudDetails(Details):
    """ presents the a UI page, showing comments on the certification"""

    def __init__(self):
        Details.__init__(self)

    def serve(self, request, template, certID):
        return Details.serve(self, request, template, Programs.cloud, certID)

    def view(self, request):
        Details.view(self, request)

        self.data["redhatProducts"] = json.dumps(self.productNameService.getProductTree('hardware', 1)) # just RHEL

        return self.data


