# Copyright (c) 2017 Red Hat, Inc. All rights reserved. This copyrighted material
# is made available to anyone wishing to use, modify, copy, or
# redistribute it subject to the terms and conditions of the GNU General
# Public License v.2.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# Author: Greg Nichols
from datetime import datetime

from rhcert.tags import Constants

from .sub import Sub
from ..alert import Alert


class Comments(Sub):
    """ presents the comments section of the Dialog tab """

    def __init__(self):
        Sub.__init__(self)

    def compileView(self):
        self.data["comments"] = self.getCertificationWorkflow().getCommentsByID(self.certificationID)
        if self.getCertificationWorkflow().getErrors():
            self.appendErrors(self.getCertificationWorkflow().getErrors())
        # convert the time
        if self.data.get("comments"):
            for comment in self.data["comments"]:
                for parameter in ["creation_time", "time"]:
                    if comment.get(parameter):
                        comment[parameter] = datetime.strptime(str(comment.get(parameter)), Constants.UTCDATETIMEFORMAT)
