# Copyright (c) 2014 Red Hat, Inc. All rights reserved. This copyrighted material
# is made available to anyone wishing to use, modify, copy, or
# redistribute it subject to the terms and conditions of the GNU General
# Public License v.2.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# Author: Greg Nichols
#
from datetime import datetime

from rhcert.tags import Constants
from .certification import Certification


class Dialog(Certification):
    """ presents the a UI page, showing comments on the certification"""

    def __init__(self):
        Certification.__init__(self)

    def view(self, request):
        Certification.view(self, request)
        self.data["certificationTab"] = "dialog"

        self.processForm()

        self.data["certification"] = self.certification
        self.data["MaxDialogAttachmentSize"] = self.environment.getMaximumDialogAttachmentSize()
        return self.data

    def processForm(self):
        if self.getParameter("newComment"):
            if self.getCertificationWorkflow().getErrors():
                self.appendErrors(self.getCertificationWorkflow().getErrors())
                return False
            self.data["cweResponse"] = self.getCertificationWorkflow().addComment(self.certification, self.getParameter("newComment"))
            if self.getCertificationWorkflow().getErrors():
                self.appendErrors(self.getCertificationWorkflow().getErrors())
                return False
        return True

