# Copyright (c) 2018 Red Hat, Inc. All rights reserved. This copyrighted material
# is made available to anyone wishing to use, modify, copy, or
# redistribute it subject to the terms and conditions of the GNU General
# Public License v.2.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# Author: Greg Nichols
#

from .sub import Sub


class MultiHostResults(Sub):
    """ presents the KBases listing on the certification details page"""

    def __init__(self):
        Sub.__init__(self)
        self.loginRequired = False

    def compileView(self):
        self.data["multiHostResults"] = sorted(self.getConnection().getStore().getMultiHostResultsDocuments(
            self.program, self.certificationID).items())
