# Copyright (c) 2017 Red Hat, Inc. All rights reserved. This copyrighted material
# is made available to anyone wishing to use, modify, copy, or
# redistribute it subject to the terms and conditions of the GNU General
# Public License v.2.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# Author: Anshul Behl
#

from .sub import Sub


class ProductLogoURL(Sub):
    """ presents the productlogo on the product details page"""

    def compileView(self):
        #Treating certID as productNID in case of productlogo
        product_logo_URL = self.getVendorProductWorkflow().getProductLogoURL(self.program,
                                                                             self.productnid)
        self.appendErrors(self.getCertificationWorkflow().getErrors())
        if product_logo_URL:
            self.data["product_logo_URL"] = product_logo_URL
            return True
        else:
            return False
