# Copyright (c) 2017 Red Hat, Inc. All rights reserved. This copyrighted material
# is made available to anyone wishing to use, modify, copy, or
# redistribute it subject to the terms and conditions of the GNU General
# Public License v.2.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# Author: Greg Nichols
#

import json
from rhcert.tags import Programs
from .specification import Specification


class Hardware(Specification):
    """ presents the a UI page, showing a vendor hardware specification for a  certification"""

    def __init__(self):
        Specification.__init__(self)

    def serve(self, request, template, tab, certID):
        self.tab = tab
        self.program = Programs.hardware
        return Specification.serve(self, request, template, self.program, certID)

    def view(self, request):
        Specification.view(self, request)

        if not self.tab:
            self.data["activeTab"] = "summary"
        else:
            self.data["activeTab"] = self.tab

        return self.data
