# Copyright (c) 2017 Red Hat, Inc. All rights reserved. This copyrighted material
# is made available to anyone wishing to use, modify, copy, or
# redistribute it subject to the terms and conditions of the GNU General
# Public License v.2.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# Author: Greg Nichols
#

from ..certification import Certification


class Specification(Certification):
    """ presents the a UI page, showing the vendor specification of a certification"""

    def __init__(self):
        Certification.__init__(self)

    def serve(self, request, template, program, certID):
        return Certification.serve(self, request, template, program, certID)

    def view(self, request):
        result = Certification.view(self, request)
        if type(result) != dict:
            return result

        self.data["activeTab"] = "summary"
        return self.data
