# Copyright (c) 2017 Red Hat, Inc. All rights reserved. This copyrighted material
# is made available to anyone wishing to use, modify, copy, or
# redistribute it subject to the terms and conditions of the GNU General
# Public License v.2.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# Author: Greg Nichols
#
from django.shortcuts import render

from ..view import View


class Sub(View):
    """ certification.Sub base class for sub-component views of a certification """

    def __init__(self):
        View.__init__(self)
        self.loginRequired = True

    def serve(self, request, template, program, certID, prodNID=None):
        View.authenticate(self, request)
        self.certificationID = certID
        self.productnid = prodNID
        self.program = program

        result = self.view(request)
        if type(result) != dict:
            return result
        # otherwise
        return render(request, template, result)

    def view(self, request):
        View.view(self, request)
        self.data["certificationID"] = self.certificationID
        self.data["program"] = self.program


        self.processForm()

        self.compileView()

        return self.data

    def compileView(self):
        pass


    def processForm(self):
        pass

