# Copyright (c) 2014 Red Hat, Inc. All rights reserved. This copyrighted material
# is made available to anyone wishing to use, modify, copy, or
# redistribute it subject to the terms and conditions of the GNU General
# Public License v.2.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# Author: Greg Nichols
#
from django.http import HttpResponseRedirect
from django.shortcuts import render

from rhcert.tags import ServerConfiguration
from wsgi.view import View



class Login(View):
    """ User login/logout """

    def serve(self, request, logout=False, connect=False):
        if logout:
            self.doLogout(request)
            if connect:
                return self.redirect("connectLogin")
                
            return self.redirect("login")

        # otherwise
        return render(request, 'index.html', {})

    def doLogout(self, request):
        request.session.flush()
        self.getConnection(request).getCertificationWorkflow().clearLogin()
