# Copyright (c) 2019 Red Hat, Inc. All rights reserved. This copyrighted material
# is made available to anyone wishing to use, modify, copy, or
# redistribute it subject to the terms and conditions of the GNU General
# Public License v.2.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# Author: Greg Nichols
#

from django.conf.urls import include, url
from django.shortcuts import HttpResponseRedirect

from wsgi.main.main import Main
from wsgi.main.systems import Systems
from wsgi.main.releasenotes import ReleaseNotes
from wsgi.main.login import Login

def configuration(request):
    return Systems().serve(request, "main/configuration.html")
def releasenotes(request):
    return ReleaseNotes().serve(request, "main/release_notes.html")
def login(request):
    return Login().serve(request)
def logout(request):
    return Login().serve(request, logout=True)
def connectLogout(request):
    return Login().serve(request, logout=True, connect=True)

def rootRedirectToCertifications(request):
    return HttpResponseRedirect("/certifications")


urlpatterns = [
        # top-level tabs
        url(r'^$', rootRedirectToCertifications),
        url(r'^certifications/?$', Main().serve, name="certifications"),
        url(r'^sandboxes/?$', Main().serve, name="sandboxes"),
        url(r'^results/$', Main().serve, name='results'),
        url(r'^configuration/?$', configuration, name='configuration'),
        url(r'^configuration/releasenotes/$', releasenotes, name='releasenotes'),
        url(r'^login/?$', login, name='login'),
        url(r'^logout/?$', logout, name='logout'),
        url(r'^products/?$', Main().serve, name="products"),
]

