# Copyright (c) 2006 Red Hat, Inc. All rights reserved. This copyrighted material 
# is made available to anyone wishing to use, modify, copy, or 
# redistribute it subject to the terms and conditions of the GNU General 
# Public License v.2.
# 
# This program is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# Author: Greg Nichols
#

# this cgi is used by the http transfer portion of the network test.  It saves the file enclosure to the rhcert
# storage area for the upload portion of the test.  The network test uses a simple request for the file
# for the download test

import os, sys, cgi
import cgitb

cgitb.enable()

from rhcert.hash import hashModule
from rhcert.environment import Environment

environment = Environment()


def saveFiles():
    ipAddress = cgi.escape(os.environ["REMOTE_ADDR"])
    fieldStorage = cgi.FieldStorage()
    files = list()
    for key in fieldStorage.keys():
        if fieldStorage[key].name == 'file':
            directory = os.path.join(environment.getServerDirectory(), environment.getServerTransfer(), ipAddress)
            try:
                os.mkdir(directory)
            except OSError:
                # directory exists
                pass
            path = os.path.join(directory, fieldStorage[key].filename)
            file = open(path, "wb")
            file.write(fieldStorage[key].value.decode("base64"))
            file.close()
            print("    Saved: " + path)
            print("    From IP: " + ipAddress)
            # getMD5 checksum
            m = hashModule.md5()
            file = open(path, "rb")
            m.update(file.read())
            file.close()
            print("    checksum: " +  m.hexdigest())

print("Content-type: text/plain");
print()


files = saveFiles()

saveFiles()
sys.stdout.flush()
