# Copyright (c) 2017 Red Hat, Inc. All rights reserved. This copyrighted material
# is made available to anyone wishing to use, modify, copy, or
# redistribute it subject to the terms and conditions of the GNU General
# Public License v.2.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# Author: Rajasi Kulkarni <rajkulka@redhat.com>
#
# Implementation of the wsgi for update base class

from django.shortcuts import render
from django.http import HttpResponseRedirect

from ..view import View


class Update(View):

    def __init__(self):
        View.__init__(self)

    def serve(self, request, template):
        View.authenticate(self, request)

        result = self.view(request)
        if type(result) != dict:
            return result
        # otherwise
        return render(request, template, result)

    def view(self, request):
        return View.view(self, request)

    def cancel_update(self):
        if self.getParameter("return-after"):
            return HttpResponseRedirect(self.getParameter("return-after"))
        else:
            return self.redirect("product-certifications",
                                 queryDict=None,
                                 paramList=[self.document.getCertificationProgram(),
                                 self.document.getCertificationID()])

