<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:variable name="results" select="HHHH" />

<xsl:template match="/certification-test">
	<!--  <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">  -->
	<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
		<head>
			<title>rhcert <xsl:value-of select="hardware/vendor"/> <xsl:value-of select="hardware/model"/></title>
			<link rel="shortcut icon" href="/rhcert/images/favicon.ico" />
			<link rel="stylesheet" href="/rhcert/css/rhcert.css" />
		</head>

		<body id="mainone">
			<div id="wrap">
				<div id="innerwrap">
					<!-- HEADER -->
					<div id="header">
						<a href="/rhcert"><img src="/rhcert/images/logo_rh_home.png" alt="Red Hat Home" width="96" height="31" id="rhLogo" /></a>
					</div><!-- end header -->

					<!-- overview -->
					<h1>Red Hat Certification</h1>

					<table class="overview">
						<thead></thead>

						<tr><td>Vendor:</td><td><xsl:value-of select="hardware/vendor"/></td></tr>
						<tr><td>Model:</td><td><xsl:value-of select="hardware/model"/></td></tr>
						<tr><td>Arch:</td><td><xsl:value-of select="hardware/arch"/></td></tr>
						<tr><td>
							OS:</td><td><xsl:value-of select="certification/os/product"/><xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
							<xsl:value-of select="certification/os/release"/>
							(<xsl:value-of select="certification/os/name"/>)
						</td></tr>
						<tr><td>
							Certification ID:</td><td><xsl:value-of select="certification/@id"/>
						</td></tr>
						<tr><td>rhcert:</td><td><xsl:value-of select="@rhcert-version"/> release <xsl:value-of select="@rhcert-release" /></td></tr>
						<tr><td>Date:</td><td><xsl:value-of select="@plan-time" /></td></tr>
					</table>

					<table class="navigation">
						<tr>
							<td>See Also:</td>
							<td><a href="/">Home</a></td>
							<td>
			                    <a>
				                	<xsl:attribute name="href">
				                    	<xsl:text>results?sheet=summary</xsl:text>
				                    	<xsl:text>&amp;content=html</xsl:text>
				                    	<xsl:text>&amp;rpath=</xsl:text><xsl:value-of select="$rpath"/>
				                    </xsl:attribute>
				                    Summary
				                </a>
        					</td>
							<td>
				                <a>
				                	<xsl:attribute name="href">
				                    	<xsl:text>results?sheet=device&amp;rpath=</xsl:text><xsl:value-of select="$rpath"/>
				                    </xsl:attribute>
				                    Devices
				                </a>
							</td>
						</tr>
					</table>

					<h2>Attachments:</h2>
					<table class="results" cellpadding="0" cellspacing="0" border="0">
			            <thead>
			                <tr>
                                <th align="right">Run:</th>
				                <xsl:call-template name="runTableHeader">
									<xsl:with-param name="currentRun" select="1"/>
									<xsl:with-param name="runs" select="@number-of-runs"/>
								</xsl:call-template>
			                </tr>
			            </thead>
		                <xsl:for-each select="/certification-test/test">
                        <xsl:sort select="@path"/>
		                <xsl:if test="run/attachment">
		                     <xsl:if test="not(@status) or (@status != 'deleted')">
			                     <xsl:variable name="currentTest" select="." />
			                     <tr>
			                         <td>
			                         	<a>
			                        		<xsl:attribute name="href">
			                        			<xsl:text>results?sheet=run&amp;test=</xsl:text><xsl:value-of select="@name"/>
			                        			<xsl:if test="parameters/property[@name='device'] != ''">
			                        				<xsl:text>&amp;device=</xsl:text><xsl:value-of select="$currentTest/parameters/property[@name='device']"/>
			                        			</xsl:if>
			                        			<xsl:text>&amp;rpath=</xsl:text><xsl:value-of select="$rpath"/>
			                        		</xsl:attribute>
			                        		<xsl:value-of select="@path"/>
			                        	</a>
			                        </td>

					                    <xsl:call-template name="runTableRow">
									      <xsl:with-param name="currentRunNumber" select="1"/>
									      <xsl:with-param name="runs" select="/certification-test/@number-of-runs"/>
									      <xsl:with-param name="currentTest" select="$currentTest"/>
									      <xsl:with-param name="currentRun" select="$currentTest/run"/>
									    </xsl:call-template>
			                     </tr>
			                    </xsl:if>
			                 </xsl:if>
		                </xsl:for-each>
					</table>
				</div>
			</div>
		</body>
	</html>
</xsl:template>

<xsl:template name="runTableHeader">
  <xsl:param name="currentRun"/>
  <xsl:param name="runs"/>
  <xsl:if test="$currentRun &lt;= $runs">
    <th><xsl:value-of select="$currentRun"/></th>
    <xsl:call-template name="runTableHeader">
      <xsl:with-param name="currentRun" select="$currentRun + 1"/>
      <xsl:with-param name="runs" select="$runs"/>
    </xsl:call-template>
  </xsl:if>
</xsl:template>

<xsl:template name="runTableRow">
	<xsl:param name="currentRunNumber"/>
	<xsl:param name="runs"/>
	<xsl:param name="currentTest"/>
	<xsl:param name="currentRun"/>
	<xsl:if test="$currentRunNumber &lt;= $runs">
		<xsl:choose>
			<xsl:when test="(number($currentRun/@number) = number($currentRunNumber)) and $currentRun/attachment">
				<td>
		        	<xsl:for-each select="$currentRun/attachment">
						<xsl:if test="(number($currentRunNumber) = number(../@number)) and ($currentTest/@name = ../../@name)">
						<a>
							<xsl:attribute name="href">
								<xsl:text>download?sheet=run&amp;test=</xsl:text><xsl:value-of select="$currentTest/@path"/>
								<xsl:text>&amp;run=</xsl:text><xsl:value-of select="../@number"/>
								<xsl:if test="$currentTest/parameters/property[@name='device'] != ''">
									<xsl:text>&amp;device=</xsl:text><xsl:value-of select="$currentTest/parameters/property[@name='device']"/>
								</xsl:if>
								<xsl:text>&amp;rpath=</xsl:text><xsl:value-of select="$rpath"/>
								<xsl:text>&amp;attachment=</xsl:text><xsl:value-of select="@name" />
							</xsl:attribute>
							<xsl:value-of select="@name" />
						</a>
						<br/>
						</xsl:if>
					</xsl:for-each>
				</td>
				 <xsl:call-template name="runTableRow">
			      <xsl:with-param name="currentRunNumber" select="$currentRunNumber + 1"/>
			      <xsl:with-param name="runs" select="$runs"/>
			      <xsl:with-param name="currentTest" select="$currentTest"/>
			      <xsl:with-param name="currentRun" select="$currentRun/following::run"/>
			    </xsl:call-template>

		     </xsl:when>
	         <xsl:otherwise>
	        	<td><xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text></td>
	        	<xsl:call-template name="runTableRow">
			      <xsl:with-param name="currentRunNumber" select="$currentRunNumber + 1"/>
			      <xsl:with-param name="runs" select="$runs"/>
			      <xsl:with-param name="currentTest" select="$currentTest"/>
			      <xsl:with-param name="currentRun" select="$currentRun"/>
			    </xsl:call-template>
	        </xsl:otherwise>
       </xsl:choose>
  </xsl:if>
</xsl:template>

</xsl:stylesheet>
