<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:variable name="results" select="HHHH" />

<!-- XSL for rendering certifications with a UI for associating them
     with a host to begin certification testing -->

<xsl:template match="/certification-test">
    <!--  <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">  -->
    <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
        <head>
          <title>Red Hat Certification: <xsl:value-of select="certification/os/product"/> <xsl:value-of select="certification/os/release"/></title>
          <link rel="shortcut icon" href="/rhcert/images/favicon.ico" />
          <link rel="stylesheet" href="/rhcert/css/rhcert.css" />
        </head>
        <body id="mainone">
            <div id="wrap">
                <div id="innerwrap">
                    <!-- HEADER -->
                    <div id="header">
                        <a href="/"><img src="/rhcert/images/logo_rh_home.png" alt="Red Hat Home" width="96" height="31" id="rhLogo" /></a>
                    </div><!-- end header -->

                    <!-- overview -->
                    <h1>Red Hat Certification</h1>

                    <table class="overview">
                        <thead></thead>
                        <tr><td>
                            OS:</td><td><xsl:value-of select="certification/os/product"/><xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
                            <xsl:value-of select="certification/os/release"/>
                        </td></tr>
                        <tr><td>
                            Certification ID:</td><td><xsl:value-of select="certification/@id"/>
                        </td></tr>
                        <tr><td>
                            Type:</td><td><xsl:value-of select="certification/@type"/>
                        </td></tr>

                        <tr><td>rhcert:</td><td><xsl:value-of select="@rhcert-version"/> release <xsl:value-of select="@rhcert-release" /></td></tr>
                    </table>


                    <table class="navigation">
                        <tr>
                            <td><a>
                                <xsl:attribute name="href">
                                        <xsl:text>/test</xsl:text>
                                        <xsl:text>?rpath=</xsl:text><xsl:value-of select="$rpath"/>
                                </xsl:attribute>
                                Start Testing</a></td>
                        </tr>
                        <tr>
                            <td><a href="/">Back to Certifications</a></td>
                         </tr>
                    </table>
                </div>
            </div>
        </body>
    </html>

</xsl:template>

</xsl:stylesheet>
