<?xml version="1.0"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <!--  general filtering of rhcert results.xml files

    parameters:
        devices: 		hide | show | full
        device-classes: hide | show | full

     - hides attachment payloads


    -->
	
	<xsl:template match="device-class">
	    <xsl:if test="$device-classes = 'hide'">
	    	<xsl:apply-templates select="node()"/>
	    </xsl:if>
	    <xsl:if test="$device-classes = 'show'">
	    	<xsl:if test="count(test) > 0">
		        <xsl:copy>
		     		<xsl:apply-templates select="@*|node()"/>
		   		</xsl:copy>
	    	</xsl:if>
	    </xsl:if>
	    <xsl:if test="$device-classes = 'full'">
	        <xsl:copy>
	     		<xsl:apply-templates select="@*|node()"/>
	   		</xsl:copy>
	    </xsl:if>
	</xsl:template>
	
	<!--  hide deleted tests -->
	<xsl:template match="test">
		<xsl:if test="not(@status) or (@status != 'deleted')">
			<xsl:copy>
	     		<xsl:apply-templates select="@*|node()"/>
	   		</xsl:copy>
	   	</xsl:if>
	</xsl:template>
	
	<!--  set any <output> elements' name attributes that are not already set -->
	<xsl:template match="output[not(@name)]">
		<xsl:copy>
	     	<xsl:apply-templates select="@*"/>
			<xsl:attribute name="name"><xsl:text>Test Log</xsl:text></xsl:attribute>
			<xsl:apply-templates/>
		</xsl:copy>
	</xsl:template>
	 
	<!--  copy just the attributes (filename, mimetype, etc), not the actual payload -->
	<xsl:template match="attachment">
		<xsl:copy select="."> 
            <xsl:copy-of select="@*"/> 
        </xsl:copy>
	</xsl:template>
	
	<!-- by default, devices are hidden.  "show" shows just the product and source, full shows all the properties -->
	<xsl:template match="device">
		<xsl:if test="$devices='show'">
		    <xsl:copy>
	     		<xsl:apply-templates select="@*"/>
	   		</xsl:copy>
		</xsl:if>
		<xsl:if test="$devices='full'">
		    <xsl:copy>
	     		<xsl:apply-templates select="@*|node()"/>
	   		</xsl:copy>
		</xsl:if>
	</xsl:template>	
	
	
</xsl:stylesheet>


