<?xml version="1.0"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!-- text coloring of <output> and <summary> elements in test logs -->

    <xsl:template match="/certification-test/test/run/output/summary">
        <summary data-value="{@data-value}">
        </summary>
    </xsl:template>
    <xsl:template match="/certification-test/test/run/output/output/summary">
        <summary data-value="{@data-value}">
        </summary>
    </xsl:template>

    <xsl:template match="output/text()" name="mark-keywords">
      <xsl:param name="pText" select="."/>

      <xsl:if test="$pText">
          <xsl:choose>
              <xsl:when test="contains($pText, '&#10;Error:')">
                <xsl:call-template name="mark-keywords">
                  <xsl:with-param name="pText" select="substring-before(concat($pText, '&#10;Error:'), '&#10;Error:')"/>
                </xsl:call-template>
                <xsl:value-of select="'&#10;'"/>
                <xsl:element name="keyword">
                  <xsl:attribute name="type">error</xsl:attribute>
                  <xsl:value-of select="'Error:'" />
                </xsl:element>

                <xsl:call-template name="mark-keywords">
                  <xsl:with-param name="pText" select="substring-after($pText, '&#10;Error:')"/>
                </xsl:call-template>

              </xsl:when>
              <xsl:when test="contains($pText, '&#10;Warning:')">
                <xsl:call-template name="mark-keywords">
                  <xsl:with-param name="pText" select="substring-before(concat($pText, '&#10;Warning:'), '&#10;Warning:')"/>
                </xsl:call-template>
                <xsl:value-of select="'&#10;'"/>
                <xsl:element name="keyword">
                  <xsl:attribute name="type">warning</xsl:attribute>
                  <xsl:value-of select="'Warning:'" />
                </xsl:element>

                <xsl:call-template name="mark-keywords">
                  <xsl:with-param name="pText" select="substring-after($pText, '&#10;Warning:')"/>
                </xsl:call-template>
              </xsl:when>

              <xsl:when test="contains($pText, '&#10;Needs Review:')">
                <xsl:call-template name="mark-keywords">
                  <xsl:with-param name="pText" select="substring-before(concat($pText, '&#10;Needs Review:'), '&#10;Needs Review:')"/>
                </xsl:call-template>
                <xsl:value-of select="'&#10;'"/>
                <xsl:element name="keyword">
                  <xsl:attribute name="type">review</xsl:attribute>
                  <xsl:value-of select="'Needs Review:'" />
                </xsl:element>

                <xsl:call-template name="mark-keywords">
                  <xsl:with-param name="pText" select="substring-after($pText, 'Needs Review:')"/>
                </xsl:call-template>
              </xsl:when>
              <xsl:otherwise>
                  <xsl:value-of select="$pText"></xsl:value-of>
              </xsl:otherwise>
          </xsl:choose>
          </xsl:if>
     </xsl:template>


</xsl:stylesheet>
