<?xml version="1.0"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:param name="test"/>
    <xsl:param name="run" select="'all'"/>
    <xsl:param name="device" select="''"/>
    <xsl:param name="subtest" select="'all'"/>

    <xsl:template match="@*|node()">
       <xsl:copy>
         <xsl:apply-templates select="@*|node()"/>
       </xsl:copy>
    </xsl:template>

    <xsl:template match="/certification-test/test">
        <xsl:if test="not(@status) or (@status != 'deleted')">
            <xsl:if test="(@path = $test) and ((not(parameters/property[@name='device']) or (parameters/property[@name='device'] = $device)))">
                <xsl:copy>
                     <xsl:apply-templates select="@*|node()"/>
                   </xsl:copy>
            </xsl:if>
        </xsl:if>
    </xsl:template>

    <xsl:template match="/certification-test/test/run">
        <xsl:choose>
            <xsl:when test="$run = 'all'">
                <xsl:copy>
                    <xsl:apply-templates select="@*|node()"/>
                </xsl:copy>
            </xsl:when>
            <xsl:otherwise>
                <xsl:if test="@number = $run">
                    <xsl:copy>
                        <xsl:apply-templates select="@*|node()"/>
                    </xsl:copy>
                </xsl:if>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>

    <xsl:template match="/certification-test/test/run/output/output">
        <xsl:choose>
            <xsl:when test="$subtest = 'all'">
                <xsl:copy>
                    <xsl:apply-templates select="@*|node()"/>
                </xsl:copy>
            </xsl:when>
            <xsl:otherwise>
                <xsl:if test="@name = $subtest">
                    <xsl:copy>
                        <xsl:apply-templates select="@*|node()"/>
                    </xsl:copy>
                </xsl:if>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>

    <xsl:template match="/certification-test/test/run/summary">
        <summary data-value="{@data-value}">
        </summary>
    </xsl:template>

    <xsl:include href="filter.xsl"></xsl:include>
    <xsl:include href="log.xsl"></xsl:include>

</xsl:stylesheet>


